class Rules:
	def __init__(self):
		self.name = None
		self.nb_row = None
		self.nb_col = None

	def check_board_size(self, board: Board) -> Bool:
	""" Checks if the board size is correct.
	Entries:
		self: the Rules class itself
		board -> Board: a board
	Output:
		correct -> Bool: if True, the board size is correct
	"""
		correct = False

		try:
			if self.nb_col == board.nb_col and self.nb_row == board.nb_row :
				correct = True
		except Exception:
			print("Exception: check_board_size: col and row parameters might are compared to another type")

		return correct
